﻿namespace HeuristicLab.Algorithms.Bandits {
  public interface IBanditPolicyActionInfo {
    //bool Disabled { get; }
    double MaxReward { get; }
    double Value { get; }
    int Tries { get; }
    void UpdateReward(double reward);
    //void Disable(double reward);
    // reset causes the state of the action to be reinitialized (as after constructor-call)
    void Reset();
  }
}
